Skip to main content
GET
https://api.dintero.com/v1
/
accounts
/
{aid}
/
locations
Locations collection
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/locations \
  --header 'Authorization: Bearer <token>'
[
  {
    "account_id": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
    "deleted_at": "2023-11-07T05:31:56Z",
    "location_id": "S01923",
    "name": "TKP Store",
    "timezone": "Europe/Oslo",
    "status": "Active",
    "language_code": "<string>",
    "currency": "NOK",
    "phone_number": "+4799999999",
    "chain": "SuperChain",
    "email": "saleslocation@example.com",
    "mcc": "5814",
    "gln": "<string>",
    "organization_number": "123456789MVA",
    "business_name": "TKP technology AS",
    "franchise": "Subway",
    "type": "<string>",
    "website_url": "<string>",
    "address": {
      "address_line": "Sommerkroveien 34",
      "postal_place": "Oslo",
      "country": "NO",
      "address_line_2": "PB 123",
      "postal_code": "0349",
      "latitude": 123,
      "longitude": 123
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Query Parameters

limit
integer
default:10

A limit on the number of objects to be returned. Limit can range between 1 and 100 items, and the default is 10 items.

Required range: 1 <= x <= 100
starting_after
string

cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, end the result contains paging_token=pt1, your subsequent call can include starting_after=pt1 in order to fetch the next page of the list.

lookup locations where search term match name, phone_number, email, organization_number and business_name

status
string[]

filter locations by status

country
string[]

filter locations by country

phone_number
string[]

filter locations by phone_number

organization_number
string[]

filter locations by organization_number

email
string[]

filter locations by email

type
string[]

filter locations by type

Response

SalesLocation collection

account_id
string<^[PT]{1}\d{8}$>
Required string length: 9
id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only
location_id
string
read-only

The id you have defined for the sales location. (must not have trailing or leading spaces). An auto-generated location_id will be created if no location_id is provided

Maximum string length: 255
Example:

"S01923"

name
string

The location's trade name which is shown to its customers (receipt/signs)

Example:

"TKP Store"

timezone
string

The location's timezone (IANA Timezone)

Example:

"Europe/Oslo"

status
string

The location's status

Example:

"Active"

language_code
string

Language code of the localized company info, as defined by BCP 47 (IETF BCP 47, "Tags for Identifying Languages").

currency
string

The three-character ISO-4217 currency. https://en.wikipedia.org/wiki/ISO_4217

Example:

"NOK"

phone_number
string<^\+?[1-9]\d{1,14}$>

A phone number in E.164 number formatting.

Example:

"+4799999999"

chain
string
Example:

"SuperChain"

email
string
Example:

"saleslocation@example.com"

mcc
string<iso-18245>

A four-digit Merchant Category Code (MCC) for the store ISO 18245:2003

Example:

"5814"

gln
string

Company Global Location Number

organization_number
string

Company identification number

Example:

"123456789MVA"

business_name
string

The location's legal name

Example:

"TKP technology AS"

franchise
string

The location is part of a franchise.

Example:

"Subway"

type
string

The location type (Physical, Mobile)

website_url
string

The location's website

address
object